Expand energy range for spectrum generation to the maximum for multiple observations
Status: New Start date: 04/16/2018
Assigned To: Knödlseder Jürgen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

I noticed the issue I report here during performing a (binned) on/off analysis with ctools. Hence I don't know whether this is also true

for 3d analysis.

Using csspec on a set of observations with different (run-specific) energy ranges results in a spectrum that covers the energy range

covered by all observations.

The "tails" of single observations ranging above or below these energy bounds used for the spectrum are cut away.

Which is not a good solution.

A single observation that has a quite large lower energy threshold pushes the lower energy bound of the spectrum to that high

energy cutting away all counts in energy bins beyond these bounds in other observations.

It would be more useful if the maximum possible energy range would be used instead of the minimum possible.

History

#1 - 04/18/2018 02:02 PM - Specovius Andreas

- Subject changed from Expand fit energy range to the maximum for sets of observations to Expand energy range for spectrum generation to the

maximum for multiple observations

In csspec the first observation is used to set the energy boundaries and also some other stuff. This may "simply" have to be adapted.

#2 - 06/06/2018 12:18 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

Indeed, currently the first observation is used and the script is not adapted for changing energy thresholds and binning.

For the moment, the energy bins are adapted for binned 3D and On/Off analysis to the bins of the first observation to avoid bin boundary issues. One

way to circumvent this is to use the NODES method, which fits all data in a single shot using a Node Function spectral model, without any adaption of

the energy bins.

Using the SLICE method things are more complicated since the binning of each observation is potentially different, hence it's not clear to me whether

an alignment of the energy bins should be done at all. But if no alignment is done it's not clear how to make the correspondance between the selected

energy binning and the binning of the 3D or On/Off data, and how to avoid that bins are missed or double counted.

Any thoughts on this are welcome.

#3 - 06/18/2018 12:43 PM - Specovius Andreas

I aggree that this issue is not trivial and I also don't really know how this could be solved...
At least I think it would be good to warn the user in the cases where events are ignored for the spectrum because of the spectrum energy range in

use.

Powered by TCPDF (www.tcpdf.org)

04/30/2024 2/2

http://www.tcpdf.org

